Package org.eclipse.cdt.core.model

# Interface ILanguageMappingChangeEvent

All Known Implementing Classes:
  `LanguageMappingChangeEvent`

public interface ILanguageMappingChangeEvent
Contains the details of changes that occurred as a result of modifying language mappings.

Since:
  4.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`TYPE_FILE`
`static final int`
`TYPE_PROJECT`
`static final int`
`TYPE_WORKSPACE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.core.runtime.content.IContentType[]`
`getAffectedContentTypes()`
Returns an array of IContentTypes for which mappings have been changed, or an empty collection if there are no affected content types.
`org.eclipse.core.resources.IFile`
`getFile()`
Returns an IFile corresponding to the file for which settings have changed if this event's type is TYPE_FILE, or null otherwise.
`String`
`getFilename()`
Returns a String corresponding to the full path to the file for which settings have changed if this event's type is TYPE_FILE, or null otherwise.
`org.eclipse.core.runtime.IPath`
`getPath()`
Returns an IPath corresponding to the file for which settings have changed if this event's type is TYPE_FILE, or null otherwise.
`org.eclipse.core.resources.IProject`
`getProject()`
Returns an IProject corresponding to the project for which settings have changed if this event's type is TYPE_PROJECT or TYPE_FILE, or null otherwise.
`int`
`getType()`
Returns the type of even being reported.

## Field Details

### TYPE_WORKSPACE

static final int TYPE_WORKSPACE

See Also:
  - Constant Field Values

### TYPE_PROJECT

static final int TYPE_PROJECT

See Also:
  - Constant Field Values

### TYPE_FILE

static final int TYPE_FILE

See Also:
  - Constant Field Values

## Method Details

### getFile

org.eclipse.core.resources.IFile getFile()
Returns an IFile corresponding to the file for which settings have changed if this event's type is TYPE_FILE, or null otherwise.

Returns:
  an IFile corresponding to the file for which settings have changed if this event's type is TYPE_FILE, or null otherwise.
Since:
  4.0

### getFilename

String getFilename()
Returns a String corresponding to the full path to the file for which settings have changed if this event's type is TYPE_FILE, or null otherwise. In order to obtain the full context for the file it may be required that you also call getProject(), as it is possible that this file may not live inside the workspace.

Returns:
  a String corresponding to the full path to the file for which settings have changed if this event's type is TYPE_FILE, or null otherwise.
Since:
  4.0
See Also:
  - `getProject()`

### getPath

org.eclipse.core.runtime.IPath getPath()
Returns an IPath corresponding to the file for which settings have changed if this event's type is TYPE_FILE, or null otherwise.

Returns:
  an IPath corresponding to the file for which settings have changed if this event's type is TYPE_FILE, or null otherwise. In order to obtain the full context for the file it may be required that you also call getProject(), as it is possible that this file may not live inside the workspace.
Since:
  4.0
See Also:
  - `getProject()`

### getProject

org.eclipse.core.resources.IProject getProject()
Returns an IProject corresponding to the project for which settings have changed if this event's type is TYPE_PROJECT or TYPE_FILE, or null otherwise.

Returns:
  an IProject corresponding to the project for which settings have changed if this event's type is TYPE_PROJECT or TYPE_FILE, or null otherwise.
Since:
  4.0

### getType

int getType()
Returns the type of even being reported.

Returns:
  the type of even being reported
Since:
  4.0
See Also:
  - `TYPE_WORKSPACE`
  - `TYPE_PROJECT`
  - `TYPE_FILE`

### getAffectedContentTypes

org.eclipse.core.runtime.content.IContentType[] getAffectedContentTypes()
Returns an array of IContentTypes for which mappings have been changed, or an empty collection if there are no affected content types. Since there currently should be no change event unless a content type has changed, this should always contain at least one content type, but clients should theoretically be prepared to handle an empty collection.

Returns:
  the content types for which mappings have been changed.